Bug 823299 - python3 complains about "/usr/lib/python2.7/site-packages/abrt_exception_handler.py"
python3 complains about "/usr/lib/python2.7/site-packages/abrt_exception_hand...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 13:20 EDT by Rob
Modified: 2012-08-29 20:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 20:56:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob 2012-05-20 13:20:37 EDT
Running /usr/bin/python is fine but if i try to run /usr/bin/python3 i get this:

----------------------------------
$ /usr/bin/python3
Error processing line 1 of /usr/lib/python2.7/site-packages/abrt.pth:

  Traceback (most recent call last):
    File "/usr/lib64/python3.2/site.py", line 150, in addpackage
      exec(line)
    File "<string>", line 1, in <module>
    File "/usr/lib/python2.7/site-packages/abrt_exception_handler.py", line 70
      except Exception, ex:
                      ^
  SyntaxError: invalid syntax

Remainder of file ignored
Python 3.2.1 (default, Feb  9 2012, 21:32:15) 
[GCC 4.6.2 20111027 (Red Hat 4.6.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

----------------------------------
So i get a python interepeter and it appears to work normaly (not thoroughly tested though)

Running abrt:
Arch        : x86_64
Version     : 2.0.7
Release     : 2.fc16
Comment 1 Jiri Moskovcak 2012-06-15 05:05:16 EDT
commit bb22af8fe0a1d57550ca99ba69d0e7fa92711d7a
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Fri Jun 15 11:04:15 2012 +0200

    make pyhook compatible with python3 rhbz#823299
Comment 2 Fedora Update System 2012-08-03 06:26:49 EDT
abrt-2.0.11-1.fc17,libreport-2.0.11-1.fc17,btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.11-1.fc17,libreport-2.0.11-1.fc17,btparser-0.18-2.fc17
Comment 3 Fedora Update System 2012-08-05 17:33:52 EDT
Package abrt-2.0.11-1.fc17, btparser-0.18-2.fc17, libreport-2.0.12-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.11-1.fc17 btparser-0.18-2.fc17 libreport-2.0.12-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.11-1.fc17,libreport-2.0.12-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-09 19:09:09 EDT
Package libreport-2.0.12-2.fc17, abrt-2.0.11-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.12-2.fc17 abrt-2.0.11-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.11-1.fc17,libreport-2.0.12-2.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-23 19:27:38 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-29 20:56:26 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.